Bug 26613 - In the unimarc_framework.sql file in the it-IT translation there are wrong value fields for 995 r record
Summary: In the unimarc_framework.sql file in the it-IT translation there are wrong va...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: John Fawcett
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-05 20:19 UTC by John Fawcett
Modified: 2021-06-14 21:31 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06, 19.11.12, 19.05.17


Attachments
patch (8.31 KB, text/plain)
2020-10-05 20:19 UTC, John Fawcett
Details
Bug 26613: Fix it-IT unimarc_framework.sql installer file (9.55 KB, patch)
2020-10-12 09:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26613: Fix it-IT unimarc_framework.sql installer file (9.62 KB, patch)
2020-10-16 01:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26613: Fix it-IT unimarc_framework.sql installer file (9.67 KB, patch)
2020-10-16 08:27 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description John Fawcett 2020-10-05 20:19:32 UTC
Created attachment 111258 [details]
patch

This is really an installation issue, though at the time of installation it did not result in any error.

During cataloguing in the items menu the "Type of item or material" is not constrained by the itemtypes authorised_values (as it is for 942 c records).

I have added the itemtypes to the installer sql in unimarc_framework.sql as well as adding the description of this field for OPAC, which had been left empty.

Proposed patch attached.
Comment 1 Katrin Fischer 2020-10-12 09:17:40 UTC
The file as is cannot be used - please see my comment on bug 26612 and let us know if we can help.
Comment 2 Jonathan Druart 2020-10-12 09:19:44 UTC
Created attachment 111484 [details] [review]
Bug 26613: Fix it-IT unimarc_framework.sql installer file

This is really an installation issue, though at the time of installation it did not result in any error.

During cataloguing in the items menu the "Type of item or material" is not constrained by the itemtypes authorised_values (as it is for 942 c records).

I have added the itemtypes to the installer sql in unimarc_framework.sql as well as adding the description of this field for OPAC, which had been left empty.
Comment 3 Jonathan Druart 2020-10-12 09:20:50 UTC
Hello John,

I have formatted your patch to make it testable by others.
Please have a look at this wiki page for next time: https://wiki.koha-community.org/wiki/Submitting_A_Patch

Thanks for your patch!
Comment 4 Katrin Fischer 2020-10-16 01:49:55 UTC
Created attachment 111826 [details] [review]
Bug 26613: Fix it-IT unimarc_framework.sql installer file

This is really an installation issue, though at the
time of installation it did not result in any error.

During cataloguing in the items menu the "Type of item or material"
is not constrained by the itemtypes authorised_values (as it is for 942c records).

I have added the itemtypes to the installer sql in unimarc_framework.sql
as well as adding the description of this field for OPAC, which had been left empty.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Julian Maurice 2020-10-16 08:27:40 UTC
Created attachment 111833 [details] [review]
Bug 26613: Fix it-IT unimarc_framework.sql installer file

This is really an installation issue, though at the
time of installation it did not result in any error.

During cataloguing in the items menu the "Type of item or material"
is not constrained by the itemtypes authorised_values (as it is for 942c records).

I have added the itemtypes to the installer sql in unimarc_framework.sql
as well as adding the description of this field for OPAC, which had been left empty.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Jonathan Druart 2020-10-25 23:07:37 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-11-13 18:57:58 UTC
backported to 20.05.x for 20.05.06
Comment 8 Aleisha Amohia 2020-11-17 04:36:11 UTC
backported to 19.11.x for 19.11.12
Comment 9 Victor Grousset/tuxayo 2020-11-17 11:52:19 UTC
Backported to 19.05.x branch for 19.05.17